zenilib: zenilib/jni/external/openal-soft/OpenAL32/alSource.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Enumerations | Functions | Variables
alSource.c File Reference
`#include "config.h"`
`#include <stdlib.h>`
`#include <math.h>`
`#include <float.h>`
`#include "AL/al.h"`
`#include "AL/alc.h"`
`#include "alMain.h"`
`#include "alError.h"`
`#include "alSource.h"`
`#include "alBuffer.h"`
`#include "alThunk.h"`
`#include "alAuxEffectSlot.h"`

Go to the source code of this file.

## Macros

#define | CHECKVAL(x)
#define | RETERR(x)

## Typedefs

typedef enum SrcFloatProp | SrcFloatProp
typedef enum SrcIntProp | SrcIntProp

## Enumerations

enum

SrcFloatProp {
sfPitch = AL_PITCH, sfGain = AL_GAIN, sfMinGain = AL_MIN_GAIN, sfMaxGain = AL_MAX_GAIN,
sfMaxDistance = AL_MAX_DISTANCE, sfRolloffFactor = AL_ROLLOFF_FACTOR, sfDopplerFactor = AL_DOPPLER_FACTOR, sfConeOuterGain = AL_CONE_OUTER_GAIN,
sfSecOffset = AL_SEC_OFFSET, sfSampleOffset = AL_SAMPLE_OFFSET, sfByteOffset = AL_BYTE_OFFSET, sfConeInnerAngle = AL_CONE_INNER_ANGLE,
sfConeOuterAngle = AL_CONE_OUTER_ANGLE, sfRefDistance = AL_REFERENCE_DISTANCE, sfPosition = AL_POSITION, sfVelocity = AL_VELOCITY,
sfDirection = AL_DIRECTION, sfSourceRelative = AL_SOURCE_RELATIVE, sfLooping = AL_LOOPING, sfBuffer = AL_BUFFER,
sfSourceState = AL_SOURCE_STATE, sfBuffersQueued = AL_BUFFERS_QUEUED, sfBuffersProcessed = AL_BUFFERS_PROCESSED, sfSourceType = AL_SOURCE_TYPE,
sfConeOuterGainHF = AL_CONE_OUTER_GAINHF, sfAirAbsorptionFactor = AL_AIR_ABSORPTION_FACTOR, sfRoomRolloffFactor = AL_ROOM_ROLLOFF_FACTOR, sfDirectFilterGainHFAuto = AL_DIRECT_FILTER_GAINHF_AUTO,
sfAuxSendFilterGainAuto = AL_AUXILIARY_SEND_FILTER_GAIN_AUTO, sfAuxSendFilterGainHFAuto = AL_AUXILIARY_SEND_FILTER_GAINHF_AUTO, sfDirectChannelsSOFT = AL_DIRECT_CHANNELS_SOFT, sfDistanceModel = AL_DISTANCE_MODEL,
sfSampleRWOffsetsSOFT = AL_SAMPLE_RW_OFFSETS_SOFT, sfByteRWOffsetsSOFT = AL_BYTE_RW_OFFSETS_SOFT, sfSecOffsetLatencySOFT = AL_SEC_OFFSET_LATENCY_SOFT
}

enum

SrcIntProp {
siMaxDistance = AL_MAX_DISTANCE, siRolloffFactor = AL_ROLLOFF_FACTOR, siRefDistance = AL_REFERENCE_DISTANCE, siSourceRelative = AL_SOURCE_RELATIVE,
siConeInnerAngle = AL_CONE_INNER_ANGLE, siConeOuterAngle = AL_CONE_OUTER_ANGLE, siLooping = AL_LOOPING, siBuffer = AL_BUFFER,
siSourceState = AL_SOURCE_STATE, siBuffersQueued = AL_BUFFERS_QUEUED, siBuffersProcessed = AL_BUFFERS_PROCESSED, siSourceType = AL_SOURCE_TYPE,
siSecOffset = AL_SEC_OFFSET, siSampleOffset = AL_SAMPLE_OFFSET, siByteOffset = AL_BYTE_OFFSET, siDopplerFactor = AL_DOPPLER_FACTOR,
siPosition = AL_POSITION, siVelocity = AL_VELOCITY, siDirection = AL_DIRECTION, siDirectFilterGainHFAuto = AL_DIRECT_FILTER_GAINHF_AUTO,
siAuxSendFilterGainAutio = AL_AUXILIARY_SEND_FILTER_GAIN_AUTO, siAuxSendFilterGainHFAuto = AL_AUXILIARY_SEND_FILTER_GAINHF_AUTO, siDirectFilter = AL_DIRECT_FILTER, siAuxSendFilter = AL_AUXILIARY_SEND_FILTER,
siDirectChannelsSOFT = AL_DIRECT_CHANNELS_SOFT, siDistanceModel = AL_DISTANCE_MODEL, siSampleRWOffsetsSOFT = AL_SAMPLE_RW_OFFSETS_SOFT, siByteRWOffsetsSOFT = AL_BYTE_RW_OFFSETS_SOFT,
siSampleOffsetLatencySOFT = AL_SAMPLE_OFFSET_LATENCY_SOFT
}

## Functions

AL_API ALvoid AL_APIENTRY | alDeleteSources (ALsizei n, const ALuint *sources)
AL_API ALvoid AL_APIENTRY | alGenSources (ALsizei n, ALuint *sources)
AL_API void AL_APIENTRY | alGetSource3dSOFT (ALuint source, ALenum param, ALdouble *value1, ALdouble *value2, ALdouble *value3)
AL_API ALvoid AL_APIENTRY | alGetSource3f (ALuint source, ALenum param, ALfloat *value1, ALfloat *value2, ALfloat *value3)
AL_API void AL_APIENTRY | alGetSource3i (ALuint source, ALenum param, ALint *value1, ALint *value2, ALint *value3)
AL_API void AL_APIENTRY | alGetSource3i64SOFT (ALuint source, ALenum param, ALint64SOFT *value1, ALint64SOFT *value2, ALint64SOFT *value3)
AL_API void AL_APIENTRY | alGetSourcedSOFT (ALuint source, ALenum param, ALdouble *value)
AL_API void AL_APIENTRY | alGetSourcedvSOFT (ALuint source, ALenum param, ALdouble *values)
AL_API ALvoid AL_APIENTRY | alGetSourcef (ALuint source, ALenum param, ALfloat *value)
AL_API ALvoid AL_APIENTRY | alGetSourcefv (ALuint source, ALenum param, ALfloat *values)
AL_API ALvoid AL_APIENTRY | alGetSourcei (ALuint source, ALenum param, ALint *value)
AL_API void AL_APIENTRY | alGetSourcei64SOFT (ALuint source, ALenum param, ALint64SOFT *value)
AL_API void AL_APIENTRY | alGetSourcei64vSOFT (ALuint source, ALenum param, ALint64SOFT *values)
AL_API void AL_APIENTRY | alGetSourceiv (ALuint source, ALenum param, ALint *values)
AL_API ALboolean AL_APIENTRY | alIsSource (ALuint source)
AL_API ALvoid AL_APIENTRY | alSource3dSOFT (ALuint source, ALenum param, ALdouble value1, ALdouble value2, ALdouble value3)
AL_API ALvoid AL_APIENTRY | alSource3f (ALuint source, ALenum param, ALfloat value1, ALfloat value2, ALfloat value3)
AL_API void AL_APIENTRY | alSource3i (ALuint source, ALenum param, ALint value1, ALint value2, ALint value3)
AL_API void AL_APIENTRY | alSource3i64SOFT (ALuint source, ALenum param, ALint64SOFT value1, ALint64SOFT value2, ALint64SOFT value3)
AL_API ALvoid AL_APIENTRY | alSourcedSOFT (ALuint source, ALenum param, ALdouble value)
AL_API ALvoid AL_APIENTRY | alSourcedvSOFT (ALuint source, ALenum param, const ALdouble *values)
AL_API ALvoid AL_APIENTRY | alSourcef (ALuint source, ALenum param, ALfloat value)
AL_API ALvoid AL_APIENTRY | alSourcefv (ALuint source, ALenum param, const ALfloat *values)
AL_API ALvoid AL_APIENTRY | alSourcei (ALuint source, ALenum param, ALint value)
AL_API ALvoid AL_APIENTRY | alSourcei64SOFT (ALuint source, ALenum param, ALint64SOFT value)
AL_API void AL_APIENTRY | alSourcei64vSOFT (ALuint source, ALenum param, const ALint64SOFT *values)
AL_API void AL_APIENTRY | alSourceiv (ALuint source, ALenum param, const ALint *values)
AL_API ALvoid AL_APIENTRY | alSourcePause (ALuint source)
AL_API ALvoid AL_APIENTRY | alSourcePausev (ALsizei n, const ALuint *sources)
AL_API ALvoid AL_APIENTRY | alSourcePlay (ALuint source)
AL_API ALvoid AL_APIENTRY | alSourcePlayv (ALsizei n, const ALuint *sources)
AL_API ALvoid AL_APIENTRY | alSourceQueueBuffers (ALuint source, ALsizei nb, const ALuint *buffers)
AL_API ALvoid AL_APIENTRY | alSourceRewind (ALuint source)
AL_API ALvoid AL_APIENTRY | alSourceRewindv (ALsizei n, const ALuint *sources)
AL_API ALvoid AL_APIENTRY | alSourceStop (ALuint source)
AL_API ALvoid AL_APIENTRY | alSourceStopv (ALsizei n, const ALuint *sources)
AL_API ALvoid AL_APIENTRY | alSourceUnqueueBuffers (ALuint source, ALsizei nb, ALuint *buffers)
ALboolean | ApplyOffset (ALsource *Source)
static ALint | DoubleValsByProp (ALenum prop)
static ALint | FloatValsByProp (ALenum prop)
static ALint | GetSampleOffset (ALsource *Source)
static ALenum | GetSourcedv (const ALsource *Source, ALCcontext *Context, SrcFloatProp prop, ALdouble *values)
static ALenum | GetSourcei64v (const ALsource *Source, ALCcontext *Context, SrcIntProp prop, ALint64 *values)
static ALenum | GetSourceiv (const ALsource *Source, ALCcontext *Context, SrcIntProp prop, ALint *values)
static ALint64 | GetSourceOffset (const ALsource *Source)
static ALvoid | GetSourceOffsets (const ALsource *Source, ALenum name, ALdouble *offsets, ALdouble updateLen)
static ALdouble | GetSourceSecOffset (const ALsource *Source)
static ALvoid | InitSourceParams (ALsource *Source)
static ALint | Int64ValsByProp (ALenum prop)
static ALint | IntValsByProp (ALenum prop)
ALvoid | ReleaseALSources (ALCcontext *Context)
static ALenum | SetSourcefv (ALsource *Source, ALCcontext *Context, SrcFloatProp prop, const ALfloat *values)
static ALenum | SetSourcei64v (ALsource *Source, ALCcontext *Context, SrcIntProp prop, const ALint64SOFT *values)
static ALenum | SetSourceiv (ALsource *Source, ALCcontext *Context, SrcIntProp prop, const ALint *values)
ALvoid | SetSourceState (ALsource *Source, ALCcontext *Context, ALenum state)

## Variables

enum Resampler | DefaultResampler = LinearResampler
const ALsizei | ResamplerPadding [ResamplerMax]
const ALsizei | ResamplerPrePadding [ResamplerMax]

## Macro Definition Documentation

#define CHECKVAL | ( |  | x | ) |

Value:
do { \
if(!(x)) \
RETERR(AL_INVALID_VALUE); \
} while(0)
AL_INVALID_VALUE
#define AL_INVALID_VALUE
Definition: al.h:373
x
EGLSurface EGLint x
Definition: eglext.h:293
if
if(!yyg->yy_init)
Definition: glslang_lex.cpp:1037
RETERR
#define RETERR(x)
Definition: alSource.c:347

Definition at line 352 of file alSource.c.

Referenced by SetSourcefv(), SetSourcei64v(), and SetSourceiv().

#define RETERR | ( |  | x | ) |

Value:
do { \
alSetError(Context, (x)); \
return (x); \
} while(0)
return
return
Definition: pngrutil.c:1266
x
EGLSurface EGLint x
Definition: eglext.h:293
alSetError
ALvoid alSetError(ALCcontext *Context, ALenum errorCode)
Definition: alError.c:31

Definition at line 347 of file alSource.c.

Referenced by GetSourcedv(), GetSourcei64v(), GetSourceiv(), SetSourcefv(), SetSourcei64v(), and SetSourceiv().

## Typedef Documentation

typedef enum SrcFloatProp SrcFloatProp

typedef enum SrcIntProp SrcIntProp

## Enumeration Type Documentation

enum SrcFloatProp

Enumerator
sfPitch |
sfGain |
sfMinGain |
sfMaxGain |
sfMaxDistance |
sfRolloffFactor |
sfDopplerFactor |
sfConeOuterGain |
sfSecOffset |
sfSampleOffset |
sfByteOffset |
sfConeInnerAngle |
sfConeOuterAngle |
sfRefDistance |
sfPosition |
sfVelocity |
sfDirection |
sfSourceRelative |
sfLooping |
sfBuffer |
sfSourceState |
sfBuffersQueued |
sfBuffersProcessed |
sfSourceType |
sfConeOuterGainHF |
sfAirAbsorptionFactor |
sfRoomRolloffFactor |
sfDirectFilterGainHFAuto |
sfAuxSendFilterGainAuto |
sfAuxSendFilterGainHFAuto |
sfDirectChannelsSOFT |
sfDistanceModel |
sfSampleRWOffsetsSOFT |
sfByteRWOffsetsSOFT |
sfSecOffsetLatencySOFT |

Definition at line 56 of file alSource.c.

enum SrcIntProp

Enumerator
siMaxDistance |
siRolloffFactor |
siRefDistance |
siSourceRelative |
siConeInnerAngle |
siConeOuterAngle |
siLooping |
siBuffer |
siSourceState |
siBuffersQueued |
siBuffersProcessed |
siSourceType |
siSecOffset |
siSampleOffset |
siByteOffset |
siDopplerFactor |
siPosition |
siVelocity |
siDirection |
siDirectFilterGainHFAuto |
siAuxSendFilterGainAutio |
siAuxSendFilterGainHFAuto |
siDirectFilter |
siAuxSendFilter |
siDirectChannelsSOFT |
siDistanceModel |
siSampleRWOffsetsSOFT |
siByteRWOffsetsSOFT |
siSampleOffsetLatencySOFT |

Definition at line 106 of file alSource.c.

## Function Documentation

AL_API ALvoid AL_APIENTRY alDeleteSources | ( | ALsizei | n,
|  | const ALuint * | sources
| ) |  |

Delete Source objects.

Definition at line 1262 of file alSource.c.

References ALCcontext_struct::ActiveSourceCount, ALCcontext_struct::ActiveSources, al_endtry, al_free(), AL_INVALID_NAME, al_throwerr, al_try, ALCcontext_DecRef(), ALbufferlistitem::buffer, CHECK_VALUE, free, FreeThunkEntry(), GetContextRef(), i, ALsource::id, j, LockContext(), LookupSource, MAX_SENDS, memset, ALbufferlistitem::next, NULL, ALsource::queue, ALeffectslot::ref, ALbuffer::ref, RemoveSource, ALsource::Send, ALsource::Slot, and UnlockContext().

Referenced by alGenSources(), DeletePlayer(), and main().

AL_API ALvoid AL_APIENTRY alGenSources | ( | ALsizei | n,
|  | ALuint * | sources
| ) |  |

Create Source objects.

Definition at line 1216 of file alSource.c.

References al_calloc(), al_catchany, al_endtry, al_free(), AL_NO_ERROR, AL_OUT_OF_MEMORY, al_throwerr, al_try, ALCcontext_DecRef(), alDeleteSources(), CHECK_VALUE, FreeThunkEntry(), GetContextRef(), ALsource::id, InitSourceParams(), InsertUIntMapEntry(), memset, NewThunkEntry(), and ALCcontext_struct::SourceMap.

Referenced by main(), and NewPlayer().

AL_API void AL_APIENTRY alGetSource3dSOFT | ( | ALuint | source,
|  | ALenum | param,
|  | ALdouble * | value1,
|  | ALdouble * | value2,
|  | ALdouble * | value3
| ) |  |

Definition at line 1705 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, AL_INVALID_VALUE, AL_NO_ERROR, ALCcontext_DecRef(), alSetError(), DoubleValsByProp(), GetContextRef(), GetSourcedv(), LookupSource, and NULL.

AL_API ALvoid AL_APIENTRY alGetSource3f | ( | ALuint | source,
|  | ALenum | param,
|  | ALfloat * | value1,
|  | ALfloat * | value2,
|  | ALfloat * | value3
| ) |  |

Definition at line 1626 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, AL_INVALID_VALUE, AL_NO_ERROR, ALCcontext_DecRef(), alSetError(), FloatValsByProp(), GetContextRef(), GetSourcedv(), LookupSource, and NULL.

AL_API void AL_APIENTRY alGetSource3i | ( | ALuint | source,
|  | ALenum | param,
|  | ALint * | value1,
|  | ALint * | value2,
|  | ALint * | value3
| ) |  |

Definition at line 1775 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, AL_INVALID_VALUE, AL_NO_ERROR, ALCcontext_DecRef(), alSetError(), GetContextRef(), GetSourceiv(), IntValsByProp(), LookupSource, and NULL.

AL_API void AL_APIENTRY alGetSource3i64SOFT | ( | ALuint | source,
|  | ALenum | param,
|  | ALint64SOFT * | value1,
|  | ALint64SOFT * | value2,
|  | ALint64SOFT * | value3
| ) |  |

Definition at line 1845 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, AL_INVALID_VALUE, AL_NO_ERROR, ALCcontext_DecRef(), alSetError(), GetContextRef(), GetSourcei64v(), Int64ValsByProp(), LookupSource, and NULL.

AL_API void AL_APIENTRY alGetSourcedSOFT | ( | ALuint | source,
|  | ALenum | param,
|  | ALdouble * | value
| ) |  |

Definition at line 1685 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, AL_INVALID_VALUE, ALCcontext_DecRef(), alSetError(), DoubleValsByProp(), GetContextRef(), GetSourcedv(), LookupSource, and NULL.

AL_API void AL_APIENTRY alGetSourcedvSOFT | ( | ALuint | source,
|  | ALenum | param,
|  | ALdouble * | values
| ) |  |

Definition at line 1733 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, AL_INVALID_VALUE, ALCcontext_DecRef(), alSetError(), DoubleValsByProp(), GetContextRef(), GetSourcedv(), LookupSource, and NULL.

AL_API ALvoid AL_APIENTRY alGetSourcef | ( | ALuint | source,
|  | ALenum | param,
|  | ALfloat * | value
| ) |  |

Get Source parameters.

Definition at line 1601 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, AL_INVALID_VALUE, AL_NO_ERROR, ALCcontext_DecRef(), alSetError(), FloatValsByProp(), GetContextRef(), GetSourcedv(), LookupSource, and NULL.

AL_API ALvoid AL_APIENTRY alGetSourcefv | ( | ALuint | source,
|  | ALenum | param,
|  | ALfloat * | values
| ) |  |

Definition at line 1655 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, AL_INVALID_VALUE, AL_NO_ERROR, ALCcontext_DecRef(), alSetError(), FloatValsByProp(), GetContextRef(), GetSourcedv(), i, LookupSource, and NULL.

AL_API ALvoid AL_APIENTRY alGetSourcei | ( | ALuint | source,
|  | ALenum | param,
|  | ALint * | value
| ) |  |

Definition at line 1754 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, AL_INVALID_VALUE, ALCcontext_DecRef(), alSetError(), GetContextRef(), GetSourceiv(), IntValsByProp(), LookupSource, and NULL.

Referenced by main(), and UpdatePlayer().

AL_API void AL_APIENTRY alGetSourcei64SOFT | ( | ALuint | source,
|  | ALenum | param,
|  | ALint64SOFT * | value
| ) |  |

Definition at line 1825 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, AL_INVALID_VALUE, ALCcontext_DecRef(), alSetError(), GetContextRef(), GetSourcei64v(), Int64ValsByProp(), LookupSource, and NULL.

AL_API void AL_APIENTRY alGetSourcei64vSOFT | ( | ALuint | source,
|  | ALenum | param,
|  | ALint64SOFT * | values
| ) |  |

Definition at line 1873 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, AL_INVALID_VALUE, ALCcontext_DecRef(), alSetError(), GetContextRef(), GetSourcei64v(), Int64ValsByProp(), LookupSource, and NULL.

AL_API void AL_APIENTRY alGetSourceiv | ( | ALuint | source,
|  | ALenum | param,
|  | ALint * | values
| ) |  |

Definition at line 1804 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, AL_INVALID_VALUE, ALCcontext_DecRef(), alSetError(), GetContextRef(), GetSourceiv(), IntValsByProp(), LookupSource, and NULL.

AL_API ALboolean AL_APIENTRY alIsSource | ( | ALuint | source | ) |

Verify a handle is a valid Source.

Definition at line 1334 of file alSource.c.

References AL_FALSE, AL_TRUE, ALCcontext_DecRef(), GetContextRef(), and LookupSource.

AL_API ALvoid AL_APIENTRY alSource3dSOFT | ( | ALuint | source,
|  | ALenum | param,
|  | ALdouble | value1,
|  | ALdouble | value2,
|  | ALdouble | value3
| ) |  |

Definition at line 1431 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, ALCcontext_DecRef(), alSetError(), DoubleValsByProp(), GetContextRef(), LookupSource, NULL, and SetSourcefv().

AL_API ALvoid AL_APIENTRY alSource3f | ( | ALuint | source,
|  | ALenum | param,
|  | ALfloat | value1,
|  | ALfloat | value2,
|  | ALfloat | value3
| ) |  |

Definition at line 1368 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, ALCcontext_DecRef(), alSetError(), FloatValsByProp(), GetContextRef(), LookupSource, NULL, and SetSourcefv().

AL_API void AL_APIENTRY alSource3i | ( | ALuint | source,
|  | ALenum | param,
|  | ALint | value1,
|  | ALint | value2,
|  | ALint | value3
| ) |  |

Definition at line 1499 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, ALCcontext_DecRef(), alSetError(), GetContextRef(), IntValsByProp(), LookupSource, NULL, and SetSourceiv().

Referenced by main(), and NewPlayer().

AL_API void AL_APIENTRY alSource3i64SOFT | ( | ALuint | source,
|  | ALenum | param,
|  | ALint64SOFT | value1,
|  | ALint64SOFT | value2,
|  | ALint64SOFT | value3
| ) |  |

Definition at line 1559 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, ALCcontext_DecRef(), alSetError(), GetContextRef(), Int64ValsByProp(), LookupSource, NULL, and SetSourcei64v().

AL_API ALvoid AL_APIENTRY alSourcedSOFT | ( | ALuint | source,
|  | ALenum | param,
|  | ALdouble | value
| ) |  |

Definition at line 1410 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, ALCcontext_DecRef(), alSetError(), DoubleValsByProp(), GetContextRef(), LookupSource, NULL, and SetSourcefv().

AL_API ALvoid AL_APIENTRY alSourcedvSOFT | ( | ALuint | source,
|  | ALenum | param,
|  | const ALdouble * | values
| ) |  |

Definition at line 1452 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, AL_INVALID_VALUE, ALCcontext_DecRef(), alSetError(), DoubleValsByProp(), GetContextRef(), i, LookupSource, NULL, and SetSourcefv().

AL_API ALvoid AL_APIENTRY alSourcef | ( | ALuint | source,
|  | ALenum | param,
|  | ALfloat | value
| ) |  |

Set Source parameters.

Definition at line 1350 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, ALCcontext_DecRef(), alSetError(), FloatValsByProp(), GetContextRef(), LookupSource, NULL, and SetSourcefv().

AL_API ALvoid AL_APIENTRY alSourcefv | ( | ALuint | source,
|  | ALenum | param,
|  | const ALfloat * | values
| ) |  |

Definition at line 1389 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, AL_INVALID_VALUE, ALCcontext_DecRef(), alSetError(), FloatValsByProp(), GetContextRef(), LookupSource, NULL, and SetSourcefv().

AL_API ALvoid AL_APIENTRY alSourcei | ( | ALuint | source,
|  | ALenum | param,
|  | ALint | value
| ) |  |

Definition at line 1481 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, ALCcontext_DecRef(), alSetError(), GetContextRef(), IntValsByProp(), LookupSource, NULL, and SetSourceiv().

Referenced by main(), NewPlayer(), and StartPlayer().

AL_API ALvoid AL_APIENTRY alSourcei64SOFT | ( | ALuint | source,
|  | ALenum | param,
|  | ALint64SOFT | value
| ) |  |

Definition at line 1541 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, ALCcontext_DecRef(), alSetError(), GetContextRef(), Int64ValsByProp(), LookupSource, NULL, and SetSourcei64v().

AL_API void AL_APIENTRY alSourcei64vSOFT | ( | ALuint | source,
|  | ALenum | param,
|  | const ALint64SOFT * | values
| ) |  |

Definition at line 1580 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, AL_INVALID_VALUE, ALCcontext_DecRef(), alSetError(), GetContextRef(), Int64ValsByProp(), LookupSource, NULL, and SetSourcei64v().

AL_API void AL_APIENTRY alSourceiv | ( | ALuint | source,
|  | ALenum | param,
|  | const ALint * | values
| ) |  |

Definition at line 1520 of file alSource.c.

References AL_INVALID_ENUM, AL_INVALID_NAME, AL_INVALID_VALUE, ALCcontext_DecRef(), alSetError(), GetContextRef(), IntValsByProp(), LookupSource, NULL, and SetSourceiv().

AL_API ALvoid AL_APIENTRY alSourcePause | ( | ALuint | source | ) |

Pause a Source

Definition at line 1949 of file alSource.c.

References alSourcePausev().

AL_API ALvoid AL_APIENTRY alSourcePausev | ( | ALsizei | n,
|  | const ALuint * | sources
| ) |  |

Pause a list of Sources

Definition at line 1953 of file alSource.c.

References al_endtry, AL_INVALID_NAME, AL_PAUSED, al_throwerr, al_try, ALCcontext_DecRef(), CHECK_VALUE, ALCcontext_struct::DeferUpdates, GetContextRef(), i, LockContext(), LookupSource, ALsource::new_state, SetSourceState(), and UnlockContext().

Referenced by alSourcePause().

AL_API ALvoid AL_APIENTRY alSourcePlay | ( | ALuint | source | ) |

Play, replay, or resume a Source

Definition at line 1894 of file alSource.c.

References alSourcePlayv().

Referenced by main(), StartPlayer(), and UpdatePlayer().

AL_API ALvoid AL_APIENTRY alSourcePlayv | ( | ALsizei | n,
|  | const ALuint * | sources
| ) |  |

Play, replay, or resume (if paused) a list of Sources

Definition at line 1898 of file alSource.c.

References ALCcontext_struct::ActiveSourceCount, ALCcontext_struct::ActiveSources, al_endtry, AL_INVALID_NAME, AL_OUT_OF_MEMORY, AL_PLAYING, al_throwerr, al_try, ALCcontext_DecRef(), CHECK_VALUE, ALCcontext_struct::DeferUpdates, GetContextRef(), i, LockContext(), LookupSource, ALCcontext_struct::MaxActiveSources, ALsource::new_state, NULL, realloc, SetSourceState(), and UnlockContext().

Referenced by alSourcePlay().

AL_API ALvoid AL_APIENTRY alSourceQueueBuffers | ( | ALuint | source,
|  | ALsizei | nb,
|  | const ALuint * | buffers
| ) |  |

Queue buffers onto a source

Definition at line 2058 of file alSource.c.

References al_catchany, al_endtry, AL_INVALID_NAME, AL_INVALID_OPERATION, AL_STATIC, AL_STREAMING, al_throwerr, AL_TRUE, al_try, ALCcontext_DecRef(), ALbufferlistitem::buffer, ALsource::BuffersInQueue, BytesFromFmt(), CalcNonAttnSourceParams(), CalcSourceParams(), ChannelsFromFmt(), CHECK_VALUE, ALCcontext_struct::Device, ALbuffer::FmtChannels, FmtMono, ALbuffer::FmtType, free, ALbuffer::Frequency, GetContextRef(), i, ALbuffer::lock, LockContext(), LookupBuffer, LookupSource, malloc, ALsource::NeedsUpdate, ALbufferlistitem::next, NULL, ALsource::NumChannels, ALbuffer::OriginalChannels, ALbuffer::OriginalType, ALbufferlistitem::prev, ALsource::queue, ReadLock(), ReadUnlock(), ALbuffer::ref, ALsource::SampleSize, ALsource::SourceType, UnlockContext(), and ALsource::Update.

Referenced by StartPlayer(), and UpdatePlayer().

AL_API ALvoid AL_APIENTRY alSourceRewind | ( | ALuint | source | ) |

Rewind a Source (set playback postiton to beginning)

Definition at line 2021 of file alSource.c.

References alSourceRewindv().

Referenced by StartPlayer().

AL_API ALvoid AL_APIENTRY alSourceRewindv | ( | ALsizei | n,
|  | const ALuint * | sources
| ) |  |

Rewind a list of Sources

Definition at line 2025 of file alSource.c.

References al_endtry, AL_INITIAL, AL_INVALID_NAME, AL_NONE, al_throwerr, al_try, ALCcontext_DecRef(), CHECK_VALUE, GetContextRef(), i, LockContext(), LookupSource, ALsource::new_state, SetSourceState(), and UnlockContext().

Referenced by alSourceRewind().

AL_API ALvoid AL_APIENTRY alSourceStop | ( | ALuint | source | ) |

Stop a Source

Definition at line 1985 of file alSource.c.

References alSourceStopv().

AL_API ALvoid AL_APIENTRY alSourceStopv | ( | ALsizei | n,
|  | const ALuint * | sources
| ) |  |

Stop a list of Sources

Definition at line 1989 of file alSource.c.

References al_endtry, AL_INVALID_NAME, AL_NONE, AL_STOPPED, al_throwerr, al_try, ALCcontext_DecRef(), CHECK_VALUE, GetContextRef(), i, LockContext(), LookupSource, ALsource::new_state, SetSourceState(), and UnlockContext().

Referenced by alSourceStop().

AL_API ALvoid AL_APIENTRY alSourceUnqueueBuffers | ( | ALuint | source,
|  | ALsizei | nb,
|  | ALuint * | buffers
| ) |  |

Unqueue processed buffers from a source

Definition at line 2194 of file alSource.c.

References al_endtry, AL_INVALID_NAME, AL_INVALID_VALUE, AL_STREAMING, al_throwerr, al_try, ALCcontext_DecRef(), ALbufferlistitem::buffer, ALsource::BuffersInQueue, ALsource::BuffersPlayed, CHECK_VALUE, free, GetContextRef(), i, ALbuffer::id, LockContext(), LookupSource, ALsource::Looping, ALbufferlistitem::next, NULL, ALbufferlistitem::prev, ALsource::queue, ALbuffer::ref, ALsource::SourceType, and UnlockContext().

Referenced by UpdatePlayer().

ALboolean ApplyOffset | ( | ALsource * | Source | ) |

Definition at line 2596 of file alSource.c.

References AL_FALSE, AL_TRUE, ALbufferlistitem::buffer, ALsource::BuffersPlayed, GetSampleOffset(), ALbufferlistitem::next, ALsource::position, ALsource::position_fraction, ALsource::queue, and ALbuffer::SampleLen.

Referenced by alProcessUpdatesSOFT(), SetSourcefv(), SetSourceiv(), and SetSourceState().

static ALint DoubleValsByProp | ( | ALenum | prop | ) |

static

Definition at line 207 of file alSource.c.

References sfAirAbsorptionFactor, sfAuxSendFilterGainAuto, sfAuxSendFilterGainHFAuto, sfBuffer, sfBuffersProcessed, sfBuffersQueued, sfByteOffset, sfByteRWOffsetsSOFT, sfConeInnerAngle, sfConeOuterAngle, sfConeOuterGain, sfConeOuterGainHF, sfDirectChannelsSOFT, sfDirectFilterGainHFAuto, sfDirection, sfDistanceModel, sfDopplerFactor, sfGain, sfLooping, sfMaxDistance, sfMaxGain, sfMinGain, sfPitch, sfPosition, sfRefDistance, sfRolloffFactor, sfRoomRolloffFactor, sfSampleOffset, sfSampleRWOffsetsSOFT, sfSecOffset, sfSecOffsetLatencySOFT, sfSourceRelative, sfSourceState, sfSourceType, and sfVelocity.

Referenced by alGetSource3dSOFT(), alGetSourcedSOFT(), alGetSourcedvSOFT(), alSource3dSOFT(), alSourcedSOFT(), and alSourcedvSOFT().

static ALint FloatValsByProp | ( | ALenum | prop | ) |

static

Definition at line 156 of file alSource.c.

References sfAirAbsorptionFactor, sfAuxSendFilterGainAuto, sfAuxSendFilterGainHFAuto, sfBuffer, sfBuffersProcessed, sfBuffersQueued, sfByteOffset, sfByteRWOffsetsSOFT, sfConeInnerAngle, sfConeOuterAngle, sfConeOuterGain, sfConeOuterGainHF, sfDirectChannelsSOFT, sfDirectFilterGainHFAuto, sfDirection, sfDistanceModel, sfDopplerFactor, sfGain, sfLooping, sfMaxDistance, sfMaxGain, sfMinGain, sfPitch, sfPosition, sfRefDistance, sfRolloffFactor, sfRoomRolloffFactor, sfSampleOffset, sfSampleRWOffsetsSOFT, sfSecOffset, sfSecOffsetLatencySOFT, sfSourceRelative, sfSourceState, sfSourceType, and sfVelocity.

Referenced by alGetSource3f(), alGetSourcef(), alGetSourcefv(), alSource3f(), alSourcef(), and alSourcefv().

static ALint GetSampleOffset | ( | ALsource * | Source | ) |

static

Definition at line 2649 of file alSource.c.

References AL_BYTE_OFFSET, AL_SAMPLE_OFFSET, AL_SEC_OFFSET, ALbufferlistitem::buffer, ChannelsFromUserFmt(), FrameSizeFromUserFmt(), ALbuffer::Frequency, ALbufferlistitem::next, NULL, ALsource::Offset, ALsource::OffsetType, ALbuffer::OriginalChannels, ALbuffer::OriginalType, ALsource::queue, and UserFmtIMA4.

Referenced by ApplyOffset().

static ALenum GetSourcedv | ( | const ALsource * | Source,
|  | ALCcontext * | Context,
|  | SrcFloatProp | prop,
|  | ALdouble * | values
| ) |  |

static

Definition at line 867 of file alSource.c.

References ALsource::AirAbsorptionFactor, AL_AIR_ABSORPTION_FACTOR, AL_AUXILIARY_SEND_FILTER_GAIN_AUTO, AL_AUXILIARY_SEND_FILTER_GAINHF_AUTO, AL_BUFFER, AL_BUFFERS_PROCESSED, AL_BUFFERS_QUEUED, AL_BYTE_OFFSET, AL_BYTE_RW_OFFSETS_SOFT, AL_CONE_INNER_ANGLE, AL_CONE_OUTER_ANGLE, AL_CONE_OUTER_GAIN, AL_CONE_OUTER_GAINHF, AL_DIRECT_CHANNELS_SOFT, AL_DIRECT_FILTER_GAINHF_AUTO, AL_DIRECTION, AL_DISTANCE_MODEL, AL_DOPPLER_FACTOR, AL_GAIN, AL_INVALID_ENUM, AL_LOOPING, AL_MAX_DISTANCE, AL_MAX_GAIN, AL_MIN_GAIN, AL_NO_ERROR, AL_PITCH, AL_POSITION, AL_REFERENCE_DISTANCE, AL_ROLLOFF_FACTOR, AL_ROOM_ROLLOFF_FACTOR, AL_SAMPLE_OFFSET, AL_SAMPLE_RW_OFFSETS_SOFT, AL_SEC_OFFSET, AL_SEC_OFFSET_LATENCY_SOFT, AL_SOURCE_RELATIVE, AL_SOURCE_STATE, AL_SOURCE_TYPE, AL_VELOCITY, ALCdevice_GetLatency, ALCcontext_struct::Device, ALsource::DopplerFactor, ERR, ALCdevice_struct::Frequency, ALsource::Gain, GetSourceiv(), GetSourceOffsets(), GetSourceSecOffset(), ALsource::InnerAngle, LockContext(), ALsource::MaxDistance, ALsource::MaxGain, ALsource::MinGain, ALsource::Orientation, ALsource::OuterAngle, ALsource::OuterGain, ALsource::OuterGainHF, ALsource::Pitch, ALsource::Position, ALsource::RefDistance, RETERR, ALsource::RollOffFactor, ALsource::RoomRolloffFactor, UnlockContext(), ALCdevice_struct::UpdateSize, and ALsource::Velocity.

Referenced by alGetSource3dSOFT(), alGetSource3f(), alGetSourcedSOFT(), alGetSourcedvSOFT(), alGetSourcef(), alGetSourcefv(), GetSourcei64v(), and GetSourceiv().

static ALenum GetSourcei64v | ( | const ALsource * | Source,
|  | ALCcontext * | Context,
|  | SrcIntProp | prop,
|  | ALint64 * | values
| ) |  |

static

Definition at line 1130 of file alSource.c.

References AL_AUXILIARY_SEND_FILTER_GAIN_AUTO, AL_AUXILIARY_SEND_FILTER_GAINHF_AUTO, AL_BUFFERS_PROCESSED, AL_BUFFERS_QUEUED, AL_BYTE_OFFSET, AL_BYTE_RW_OFFSETS_SOFT, AL_CONE_INNER_ANGLE, AL_CONE_OUTER_ANGLE, AL_DIRECT_CHANNELS_SOFT, AL_DIRECT_FILTER_GAINHF_AUTO, AL_DIRECTION, AL_DISTANCE_MODEL, AL_DOPPLER_FACTOR, AL_INVALID_ENUM, AL_LOOPING, AL_MAX_DISTANCE, AL_NO_ERROR, AL_POSITION, AL_REFERENCE_DISTANCE, AL_ROLLOFF_FACTOR, AL_SAMPLE_OFFSET, AL_SAMPLE_OFFSET_LATENCY_SOFT, AL_SAMPLE_RW_OFFSETS_SOFT, AL_SEC_OFFSET, AL_SOURCE_RELATIVE, AL_SOURCE_STATE, AL_SOURCE_TYPE, AL_VELOCITY, ALCdevice_GetLatency, ALCcontext_struct::Device, ERR, GetSourcedv(), GetSourceiv(), GetSourceOffset(), LockContext(), RETERR, siAuxSendFilter, siBuffer, siDirectFilter, and UnlockContext().

Referenced by alGetSource3i64SOFT(), alGetSourcei64SOFT(), and alGetSourcei64vSOFT().

static ALenum GetSourceiv | ( | const ALsource * | Source,
|  | ALCcontext * | Context,
|  | SrcIntProp | prop,
|  | ALint * | values
| ) |  |

static

Definition at line 1005 of file alSource.c.

References AL_AUXILIARY_SEND_FILTER_GAIN_AUTO, AL_AUXILIARY_SEND_FILTER_GAINHF_AUTO, AL_BUFFER, AL_BUFFERS_PROCESSED, AL_BUFFERS_QUEUED, AL_BYTE_OFFSET, AL_BYTE_RW_OFFSETS_SOFT, AL_CONE_INNER_ANGLE, AL_CONE_OUTER_ANGLE, AL_DIRECT_CHANNELS_SOFT, AL_DIRECT_FILTER_GAINHF_AUTO, AL_DIRECTION, AL_DISTANCE_MODEL, AL_DOPPLER_FACTOR, AL_INVALID_ENUM, AL_LOOPING, AL_MAX_DISTANCE, AL_NO_ERROR, AL_POSITION, AL_REFERENCE_DISTANCE, AL_ROLLOFF_FACTOR, AL_SAMPLE_OFFSET, AL_SAMPLE_RW_OFFSETS_SOFT, AL_SEC_OFFSET, AL_SOURCE_RELATIVE, AL_SOURCE_STATE, AL_SOURCE_TYPE, AL_STATIC, AL_STREAMING, AL_VELOCITY, ALbufferlistitem::buffer, ALsource::BuffersInQueue, ALsource::BuffersPlayed, ALsource::DirectChannels, ALsource::DistanceModel, ALsource::DryGainHFAuto, ERR, GetSourcedv(), ALsource::HeadRelative, i, ALbuffer::id, LockContext(), ALsource::Looping, ALbufferlistitem::next, ALsource::queue, RETERR, siAuxSendFilter, siDirectFilter, siSampleOffsetLatencySOFT, ALsource::SourceType, ALsource::state, UnlockContext(), ALsource::WetGainAuto, and ALsource::WetGainHFAuto.

Referenced by alGetSource3i(), alGetSourcei(), alGetSourceiv(), GetSourcedv(), and GetSourcei64v().

static ALint64 GetSourceOffset | ( | const ALsource * | Source | ) |

static

Definition at line 2414 of file alSource.c.

References AL_PAUSED, AL_PLAYING, ALbufferlistitem::buffer, ALsource::BuffersPlayed, FRACTIONBITS, i, MAKEU64, minu64(), ALbufferlistitem::next, ALsource::position, ALsource::position_fraction, ALsource::queue, ALbuffer::SampleLen, and ALsource::state.

Referenced by GetSourcei64v().

static ALvoid GetSourceOffsets | ( | const ALsource * | Source,
|  | ALenum | name,
|  | ALdouble * | offsets,
|  | ALdouble | updateLen
| ) |  |

static

Definition at line 2485 of file alSource.c.

References AL_BYTE_OFFSET, AL_BYTE_RW_OFFSETS_SOFT, AL_PAUSED, AL_PLAYING, AL_SAMPLE_OFFSET, AL_SAMPLE_RW_OFFSETS_SOFT, AL_SEC_OFFSET, ALbufferlistitem::buffer, ChannelsFromFmt(), ALbuffer::FmtChannels, FrameSizeFromUserFmt(), ALbuffer::Frequency, i, ALsource::Looping, ALbufferlistitem::next, NULL, ALbuffer::OriginalChannels, ALbuffer::OriginalType, ALsource::position, ALsource::queue, ALbuffer::SampleLen, ALsource::state, and UserFmtIMA4.

Referenced by GetSourcedv().

static ALdouble GetSourceSecOffset | ( | const ALsource * | Source | ) |

static

Definition at line 2443 of file alSource.c.

References AL_PAUSED, AL_PLAYING, ALbufferlistitem::buffer, ALsource::BuffersPlayed, FRACTIONBITS, FRACTIONONE, ALbuffer::Frequency, i, ALbufferlistitem::next, NULL, ALsource::position, ALsource::position_fraction, ALsource::queue, ALbuffer::SampleLen, and ALsource::state.

Referenced by GetSourcedv().

static ALvoid InitSourceParams | ( | ALsource * | Source | ) |

static

Definition at line 2250 of file alSource.c.

References ALsource::AirAbsorptionFactor, AL_FALSE, AL_INITIAL, AL_NONE, AL_TRUE, AL_UNDETERMINED, HrtfState::Counter, DefaultDistanceModel, DefaultResampler, ALsource::DirectChannels, ALsource::DirectGain, ALsource::DirectGainHF, ALsource::DistanceModel, ALsource::DopplerFactor, ALsource::DryGainHFAuto, ALsource::Gain, ALsource::GainHF, ALsource::Hrtf, i, ALsource::InnerAngle, ALsource::Looping, MAX_SENDS, ALsource::MaxDistance, ALsource::MaxGain, ALsource::MinGain, HrtfState::Moving, ALsource::NeedsUpdate, ALsource::new_state, ALsource::Offset, ALsource::Orientation, ALsource::OuterAngle, ALsource::OuterGain, ALsource::OuterGainHF, ALsource::Pitch, ALsource::Position, ALsource::RefDistance, ALsource::Resampler, ALsource::RollOffFactor, ALsource::RoomRolloffFactor, ALsource::Send, ALsource::SourceType, ALsource::state, ALsource::Velocity, ALsource::WetGainAuto, and ALsource::WetGainHFAuto.

Referenced by alGenSources().

static ALint Int64ValsByProp | ( | ALenum | prop | ) |

static

Definition at line 302 of file alSource.c.

References siAuxSendFilter, siAuxSendFilterGainAutio, siAuxSendFilterGainHFAuto, siBuffer, siBuffersProcessed, siBuffersQueued, siByteOffset, siByteRWOffsetsSOFT, siConeInnerAngle, siConeOuterAngle, siDirectChannelsSOFT, siDirectFilter, siDirectFilterGainHFAuto, siDirection, siDistanceModel, siDopplerFactor, siLooping, siMaxDistance, siPosition, siRefDistance, siRolloffFactor, siSampleOffset, siSampleOffsetLatencySOFT, siSampleRWOffsetsSOFT, siSecOffset, siSourceRelative, siSourceState, siSourceType, and siVelocity.

Referenced by alGetSource3i64SOFT(), alGetSourcei64SOFT(), alGetSourcei64vSOFT(), alSource3i64SOFT(), alSourcei64SOFT(), and alSourcei64vSOFT().

static ALint IntValsByProp | ( | ALenum | prop | ) |

static

Definition at line 257 of file alSource.c.

References siAuxSendFilter, siAuxSendFilterGainAutio, siAuxSendFilterGainHFAuto, siBuffer, siBuffersProcessed, siBuffersQueued, siByteOffset, siByteRWOffsetsSOFT, siConeInnerAngle, siConeOuterAngle, siDirectChannelsSOFT, siDirectFilter, siDirectFilterGainHFAuto, siDirection, siDistanceModel, siDopplerFactor, siLooping, siMaxDistance, siPosition, siRefDistance, siRolloffFactor, siSampleOffset, siSampleOffsetLatencySOFT, siSampleRWOffsetsSOFT, siSecOffset, siSourceRelative, siSourceState, siSourceType, and siVelocity.

Referenced by alGetSource3i(), alGetSourcei(), alGetSourceiv(), alSource3i(), alSourcei(), and alSourceiv().

ALvoid ReleaseALSources | ( | ALCcontext * | Context | ) |

Definition at line 2705 of file alSource.c.

References al_free(), UIntMap::array, ALbufferlistitem::buffer, free, FreeThunkEntry(), ALsource::id, j, MAX_SENDS, memset, ALbufferlistitem::next, NULL, ALsource::queue, ALeffectslot::ref, ALbuffer::ref, ALsource::Send, UIntMap::size, ALsource::Slot, ALCcontext_struct::SourceMap, and UIntMap::value.

Referenced by FreeContext().

static ALenum SetSourcefv | ( | ALsource * | Source,
|  | ALCcontext * | Context,
|  | SrcFloatProp | prop,
|  | const ALfloat * | values
| ) |  |

static

Definition at line 357 of file alSource.c.

References ALsource::AirAbsorptionFactor, AL_AIR_ABSORPTION_FACTOR, AL_BYTE_OFFSET, AL_CONE_INNER_ANGLE, AL_CONE_OUTER_ANGLE, AL_CONE_OUTER_GAIN, AL_CONE_OUTER_GAINHF, AL_DIRECTION, AL_DOPPLER_FACTOR, AL_FALSE, AL_GAIN, AL_INVALID_ENUM, AL_INVALID_OPERATION, AL_INVALID_VALUE, AL_MAX_DISTANCE, AL_MAX_GAIN, AL_MIN_GAIN, AL_NO_ERROR, AL_PAUSED, AL_PITCH, AL_PLAYING, AL_POSITION, AL_REFERENCE_DISTANCE, AL_ROLLOFF_FACTOR, AL_ROOM_ROLLOFF_FACTOR, AL_SAMPLE_OFFSET, AL_SEC_OFFSET, AL_SEC_OFFSET_LATENCY_SOFT, AL_TRUE, AL_VELOCITY, ApplyOffset(), CHECKVAL, ALCcontext_struct::DeferUpdates, ALsource::DopplerFactor, ERR, ALsource::Gain, ALsource::InnerAngle, LockContext(), ALsource::MaxDistance, ALsource::MaxGain, ALsource::MinGain, ALsource::NeedsUpdate, ALsource::Offset, ALsource::OffsetType, ALsource::Orientation, ALsource::OuterAngle, ALsource::OuterGain, ALsource::OuterGainHF, ALsource::Pitch, ALsource::Position, ALsource::RefDistance, RETERR, ALsource::RollOffFactor, ALsource::RoomRolloffFactor, SetSourceiv(), sfAuxSendFilterGainAuto, sfAuxSendFilterGainHFAuto, sfBuffer, sfBuffersProcessed, sfBuffersQueued, sfByteRWOffsetsSOFT, sfDirectChannelsSOFT, sfDirectFilterGainHFAuto, sfDistanceModel, sfLooping, sfSampleRWOffsetsSOFT, sfSourceRelative, sfSourceState, sfSourceType, ALsource::state, UnlockContext(), and ALsource::Velocity.

Referenced by alSource3dSOFT(), alSource3f(), alSourcedSOFT(), alSourcedvSOFT(), alSourcef(), alSourcefv(), SetSourcei64v(), and SetSourceiv().

static ALenum SetSourcei64v | ( | ALsource * | Source,
|  | ALCcontext * | Context,
|  | SrcIntProp | prop,
|  | const ALint64SOFT * | values
| ) |  |

static

Definition at line 787 of file alSource.c.

References AL_AUXILIARY_SEND_FILTER, AL_AUXILIARY_SEND_FILTER_GAIN_AUTO, AL_AUXILIARY_SEND_FILTER_GAINHF_AUTO, AL_BUFFER, AL_BYTE_OFFSET, AL_CONE_INNER_ANGLE, AL_CONE_OUTER_ANGLE, AL_DIRECT_CHANNELS_SOFT, AL_DIRECT_FILTER, AL_DIRECT_FILTER_GAINHF_AUTO, AL_DIRECTION, AL_DISTANCE_MODEL, AL_INVALID_ENUM, AL_INVALID_OPERATION, AL_LOOPING, AL_MAX_DISTANCE, AL_POSITION, AL_REFERENCE_DISTANCE, AL_ROLLOFF_FACTOR, AL_SAMPLE_OFFSET, AL_SEC_OFFSET, AL_SOURCE_RELATIVE, AL_SOURCE_STATE, AL_VELOCITY, CHECKVAL, ERR, RETERR, SetSourcefv(), SetSourceiv(), siBuffersProcessed, siBuffersQueued, siByteRWOffsetsSOFT, siDopplerFactor, siSampleOffsetLatencySOFT, siSampleRWOffsetsSOFT, and siSourceType.

Referenced by alSource3i64SOFT(), alSourcei64SOFT(), and alSourcei64vSOFT().

static ALenum SetSourceiv | ( | ALsource * | Source,
|  | ALCcontext * | Context,
|  | SrcIntProp | prop,
|  | const ALint * | values
| ) |  |

static

Definition at line 550 of file alSource.c.

References AL_AUXILIARY_SEND_FILTER, AL_AUXILIARY_SEND_FILTER_GAIN_AUTO, AL_AUXILIARY_SEND_FILTER_GAINHF_AUTO, AL_BUFFER, AL_BYTE_OFFSET, AL_CONE_INNER_ANGLE, AL_CONE_OUTER_ANGLE, AL_DIRECT_CHANNELS_SOFT, AL_DIRECT_FILTER, AL_DIRECT_FILTER_GAINHF_AUTO, AL_DIRECTION, AL_DISTANCE_MODEL, AL_EXPONENT_DISTANCE, AL_EXPONENT_DISTANCE_CLAMPED, AL_FALSE, AL_INITIAL, AL_INVALID_ENUM, AL_INVALID_OPERATION, AL_INVALID_VALUE, AL_INVERSE_DISTANCE, AL_INVERSE_DISTANCE_CLAMPED, AL_LINEAR_DISTANCE, AL_LINEAR_DISTANCE_CLAMPED, AL_LOOPING, AL_MAX_DISTANCE, AL_NO_ERROR, AL_NONE, AL_PAUSED, AL_PLAYING, AL_POSITION, AL_REFERENCE_DISTANCE, AL_ROLLOFF_FACTOR, AL_SAMPLE_OFFSET, AL_SEC_OFFSET, AL_SOURCE_RELATIVE, AL_STATIC, AL_STOPPED, AL_TRUE, AL_UNDETERMINED, AL_VELOCITY, ApplyOffset(), ALbufferlistitem::buffer, ALsource::BuffersInQueue, ALsource::BuffersPlayed, BytesFromFmt(), CalcNonAttnSourceParams(), CalcSourceParams(), ChannelsFromFmt(), CHECKVAL, ALCcontext_struct::DeferUpdates, ALCcontext_struct::Device, ALsource::DirectChannels, ALsource::DirectGain, ALsource::DirectGainHF, ALsource::DistanceModel, ALsource::DryGainHFAuto, ERR, ALbuffer::FmtChannels, FmtMono, ALbuffer::FmtType, free, ALfilter::Gain, ALsource::Gain, ALfilter::GainHF, ALsource::GainHF, ALsource::HeadRelative, ALbuffer::lock, LockContext(), LookupBuffer, LookupEffectSlot, LookupFilter, ALsource::Looping, malloc, ALsource::NeedsUpdate, ALbufferlistitem::next, NULL, ALCdevice_struct::NumAuxSends, ALsource::NumChannels, ALsource::Offset, ALsource::OffsetType, ALbufferlistitem::prev, ALsource::queue, ReadLock(), ReadUnlock(), ALeffectslot::ref, ALbuffer::ref, RETERR, ALsource::SampleSize, ALsource::Send, SetSourcefv(), siBuffersProcessed, siBuffersQueued, siByteRWOffsetsSOFT, siDopplerFactor, siSampleOffsetLatencySOFT, siSampleRWOffsetsSOFT, siSourceState, siSourceType, ALsource::Slot, ALCcontext_struct::SourceDistanceModel, ALsource::SourceType, ALsource::state, UnlockContext(), ALsource::Update, ALsource::WetGainAuto, and ALsource::WetGainHFAuto.

Referenced by alSource3i(), alSourcei(), alSourceiv(), SetSourcefv(), and SetSourcei64v().

ALvoid SetSourceState | ( | ALsource * | Source,
|  | ALCcontext * | Context,
|  | ALenum | state
| ) |  |

Definition at line 2312 of file alSource.c.

References ALCcontext_struct::ActiveSourceCount, ALCcontext_struct::ActiveSources, AL_FALSE, AL_INITIAL, AL_PAUSED, AL_PLAYING, AL_STOPPED, ApplyOffset(), ALbufferlistitem::buffer, ALsource::BuffersInQueue, ALsource::BuffersPlayed, ALCdevice_struct::Connected, HrtfState::Counter, ALCcontext_struct::Device, HRIR_LENGTH, ALsource::Hrtf, j, k, MaxChannels, HrtfState::Moving, ALbufferlistitem::next, NULL, ALsource::Offset, ALsource::position, ALsource::position_fraction, ALsource::queue, ALbuffer::SampleLen, SetSourceState(), SRC_HISTORY_LENGTH, and ALsource::state.

Referenced by alProcessUpdatesSOFT(), alSourcePausev(), alSourcePlayv(), alSourceRewindv(), alSourceStopv(), and SetSourceState().

## Variable Documentation

enum Resampler DefaultResampler = LinearResampler

OpenAL cross platform audio library Copyright (C) 1999-2007 by authors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. Or go to http://www.gnu.org/copyleft/lgpl.html

Definition at line 37 of file alSource.c.

Referenced by alc_initconfig(), and InitSourceParams().

const ALsizei ResamplerPadding[ResamplerMax]

Initial value:
= {
0,
1,
2,
}

Definition at line 38 of file alSource.c.

Referenced by CalcNonAttnSourceParams(), CalcSourceParams(), and MixSource().

const ALsizei ResamplerPrePadding[ResamplerMax]

Initial value:
= {
0,
0,
1,
}

Definition at line 43 of file alSource.c.

Referenced by CalcNonAttnSourceParams(), CalcSourceParams(), and MixSource().